# PHTTPServiceThread Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PHTTPServiceThread:

List of all members.

## Public Member Functions

| PHTTPServiceThread (PINDEX stackSize, PHTTPServiceProcess &app)
| ~PHTTPServiceThread ()
void | Main ()
| User override function for the main execution routine of the thread.
void | Close ()

## Protected Attributes

PINDEX | myStackSize
PHTTPServiceProcess & | process
PTCPSocket * | socket

## Constructor & Destructor Documentation

PHTTPServiceThread::PHTTPServiceThread | ( | PINDEX | stackSize,
|  | PHTTPServiceProcess & | app |
| ) |  |  |

PHTTPServiceThread::~PHTTPServiceThread | ( |  | ) |

## Member Function Documentation

void PHTTPServiceThread::Close | ( |  | ) |

void PHTTPServiceThread::Main | ( |  | ) | `[virtual]`

User override function for the main execution routine of the thread.

A descendent class must provide the code that will be executed in the thread within this function.

Note that the correct way for a thread to terminate is to return from this function.

Implements PThread.

## Member Data Documentation

PINDEX PHTTPServiceThread::myStackSize `[protected]`

PHTTPServiceProcess& PHTTPServiceThread::process `[protected]`

PTCPSocket* PHTTPServiceThread::socket `[protected]`

The documentation for this class was generated from the following file:

- httpsvc.h